Get Queue Positions for Orders
curl --request GET \
--url https://external-api.kalshi.com/trade-api/v2/portfolio/orders/queue_positions \
--header 'KALSHI-ACCESS-KEY: <api-key>' \
--header 'KALSHI-ACCESS-SIGNATURE: <api-key>' \
--header 'KALSHI-ACCESS-TIMESTAMP: <api-key>'import requests
url = "https://external-api.kalshi.com/trade-api/v2/portfolio/orders/queue_positions"
headers = {
"KALSHI-ACCESS-KEY": "<api-key>",
"KALSHI-ACCESS-SIGNATURE": "<api-key>",
"KALSHI-ACCESS-TIMESTAMP": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'KALSHI-ACCESS-KEY': '<api-key>',
'KALSHI-ACCESS-SIGNATURE': '<api-key>',
'KALSHI-ACCESS-TIMESTAMP': '<api-key>'
}
};
fetch('https://external-api.kalshi.com/trade-api/v2/portfolio/orders/queue_positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"queue_positions": [
{
"order_id": "<string>",
"market_ticker": "<string>",
"queue_position_fp": "10.00"
}
]
}{
"code": "<string>",
"message": "<string>",
"details": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>"
}orders
Get Queue Positions for Orders
Endpoint for getting queue positions for all resting orders. Queue position represents the number of contracts that need to be matched before an order receives a partial or full match, determined using price-time priority.
GET
/
portfolio
/
orders
/
queue_positions
Get Queue Positions for Orders
Authorizations
Your API key ID
RSA-PSS signature of the request
Request timestamp in milliseconds
Query Parameters
Comma-separated list of market tickers to filter by
Event ticker to filter by
Subaccount number (0 for primary, 1-63 for subaccounts). Defaults to 0.
Response
Queue positions retrieved successfully
Queue positions for all matching orders
Show child attributes
Show child attributes
⌘I